PROGRAM_NAME='E - boxload demo to enter the addresses'
(*   DATE:05/10/00    TIME:10:09:31    *)
DEFINE_DEVICE
  EIB = 17  (* Device ID AXB-232++ / AXC-232++ *)

DEFINE_VARIABLE
  X         (* Counter *)
  Cmd[50]   (* Actual Command *)

DEFINE_START
  X = 0     (* Stop on reset *)
  WAIT 20   (* wait 2 seconds *)
    X = 1   (* enter first group *)

DEFINE_PROGRAM
WAIT 2      (* check every 200ms *)
  IF(X)     (* something to enter ? *)
    {
    SELECT
      {
      ACTIVE(X =  1): Cmd = 'ADD SW 1 1/1'  (* Switch 1: address 1/1 *)
      ACTIVE(X =  2): Cmd = 'ADD SW 2 1/2'
      ACTIVE(X =  3): Cmd = 'ADD SW 3 1/0/3'(* ETS2 style is also possible *)
      ACTIVE(X =  4): Cmd = 'ADD SW 4 1/22' (* On/Off dimmer *)
      ACTIVE(X =  5): Cmd = 'ADD D4 1 1/23' (* Dimming relative *)
      ACTIVE(X =  6): Cmd = 'ADD 1B 1 1/24' (* Dimming absolute *)
      ACTIVE(X =  7): Cmd = 'ADD 1B 2 1/25' (* Actusl dimmer value *)

      ACTIVE(X =  8): Cmd = 'WHEN START POLL 1B 2' (* read after reset... *)
      ACTIVE(X =  9): Cmd = 'WHEN SW 4 POLL 1B 2'  (* ...when switches... *)
      ACTIVE(X = 10): Cmd = 'WHEN D4 1 POLL 1B 2'  (* ...when dimming... *)
      ACTIVE(X = 11): Cmd = 'WHEN 1B 1 POLL 1B 2'  (* ...and when set *)

      ACTIVE(1): Cmd = "" (* The End *)
      }

    IF(Cmd <> "") (* something to send ? *)
      {
      SYSTEM_CALL 'EIB Send Command' (EIB,Cmd) (* send to box *)
      X = X + 1                                (* next one *)
      }
    ELSE                                       (* end reached *)
      X = 0                                    (* disable counter *)
    }
